package com.pcloud.book.record.mapper;

import com.pcloud.book.record.entity.IpData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface IpDataMapper {
    int deleteByPrimaryKey(Long id);

    int insert(IpData record);

    int insertSelective(IpData record);

    IpData selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(IpData record);

    int updateByPrimaryKey(IpData record);

    IpData selectByIp(String ip);

    List<IpData> listCityByIp(List<String> ips);
}